Name: ichatsrvd
Version: 0.24
Release: alt0.M24.4
License: free
Group: System/Servers
Source0: %name-%version.tar.bz2
Summary: Intranet Chat server
Summary(ru_RU.CP1251): - 
Url: http://vaulter.narod.ru
Packager: Motsyo Gennadi <drool@altlinux.ru>
Source1: ichatsrtvd_killproc.patch

# Automatically added by buildreq on Sun Oct 08 2006
BuildRequires: libssl-devel

%description
Intranet Chat server

%description -l ru_RU.CP1251
- 

%prep
%setup -q
%__patch ichatsrv %SOURCE1

%build
%__subst 's|-march=i686|$(RPM_OPT_FLAGS)|g' Makefile
%__subst 's|/usr/local/ssl/include|%_includedir/openssl|g' Makefile
%__subst 's|/ichatsrvd.log|/%name/%name.log|g' ichatserv.h
%__subst 's|/home/test4/ichat|/var/log/%name|g' devastator.c
%__subst 's|/etc/ichat_banlist|/etc/%name/ichat_banlist|g' ichatsrv.conf
%__subst 's|/etc/ichatsrv.conf|/etc/%name/%name.conf|g' ichatserv.h
%__subst 's|logfile /var/log/ichatsrvd.log|logfile /var/log/%name/%name.log|g' ichatsrv.conf
%make RELEASE=1 DEF_CONFFILE=%_sysconfdir/%name/%name.conf DEVASTATOR=1 BAN_LIST=%_sysconfdir/%name/ichat_banlist BINDIR=%_bindir

%install
%__mkdir -p %buildroot%_logdir/%name
%__install -Dp -c -m0755 %name %buildroot%_bindir/%name.bin
%__install -Dp -m0755 ichatsrv %buildroot%_initdir/%name
%__install -Dp -m0644 ichatsrv.conf %buildroot%_sysconfdir/%name/%name.conf

%post
%post_service %name
service %name start

%preun
service %name stop

%files
%doc README
%_bindir/*
%_initdir/%name
%_sysconfdir/%name
%_logdir/%name

%changelog
* Sat Nov 04 2006 Motsyo Gennadi <drool@altlinux.ru> 0.24-alt0.M24.4
- fix path for devastator log

* Sun Oct 08 2006 Motsyo Gennadi <drool@altlinux.ru> 0.24-alt0.M24.3
- rename %_bindir/%name to %_bindir/%name.bin
- fix and cleanup daemon
- DEVASTATOR enabled and run buildreq script
- fix and cleanup spec-file
- fix spec-file to Backports Policy

* Sun Aug 20 2006 Motsyo Gennadi <drool_linux@pisem.net> 0.24-alt2.drool
- fix daemon to ALT Linux 2.4 Master compatible

* Mon Aug 01 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.24-alt1.drool
- new version from Andrei Bairamov aka Vaulter

* Sat Jul 30 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.21-alt3.drool
- fix URL

* Mon Jul 18 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.21-alt2.drool
- fix $RPM_OPT_FLAGS

* Tue Jul 05 2005 Motsyo Gennadi <drool_linux@pisem.net> 0.21-alt1.drool
- initial build for ALT Linux
